Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 597218 - persist should not allow persisting system folders
Summary: persist should not allow persisting system folders
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ovirt-node
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Alan Pevec
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 597216
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-28 12:13 UTC by Perry Myers
Modified: 2016-04-26 13:45 UTC (History)
5 users (show)

Fixed In Version: ovirt-node-1.9.3-4.gitf53c39c.el6
Doc Type: Bug Fix
Doc Text:
Clone Of: 597216
Environment:
Last Closed: 2010-11-11 14:52:39 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Perry Myers 2010-05-28 12:13:24 UTC
+++ This bug was initially created as a clone of Bug #597216 +++

Description of problem:
persist should not allow persisting system folders like / /tmp ...

for example persist /tmp directory will mount /dev/HostVG/Config on /tmp, so /tmp can easily be filled and cause the commands which need create temporary file failed.

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. persist /tmp
 File persisted

Successfully persisted /tmp

2. grep /tmp /proc/mounts
[...]
/dev/HostVG/Config /tmp ext3 rw,noatime,data=ordered 0 0
[...]

3. df -h /tmp 
Filesystem            Size  Used Avail Use% Mounted on
-                     7.8M  1.2M  6.3M  16% /tmp
  
Actual results:
persist can persist system folders

Expected results:
persist should not allow persisting system folders

Additional info:

Comment 1 RHEL Product and Program Management 2010-05-28 12:15:32 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 8 XinSun 2010-08-24 09:31:16 UTC
Check this bug on rhevh6.0-2.3 snapshot12, do follow test steps:

Now we can not persist system folder, such as /, /tmp, /data, /etc, and so on.
But for non system folder, we can do persist.

[root@host1 /]# persist /
Cannot persist system folder: /

[root@host1 /]# persist /tmp
Cannot persist system folder: /tmp

[root@host1 /]# persist /data
Cannot persist system folder: /data

[root@host1 /]# persist /etc 
Cannot persist system folder: /etc

[root@host1 /]# cd /data
[root@host1 /]# vi test.txt
[root@host1 /]# persist ./test.txt
File persisted
Successfully persisted /data/test.txt
[root@host1 data]# cd /config/data
[root@host1 data]# ls
test.txt

So change this bug's status to verified.

Comment 9 releng-rhel@redhat.com 2010-11-11 14:52:39 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.